package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.dto.KwMeterDataDto;
import com.iformall.domain.po.KwMeterData;
import com.iformall.domain.vo.KwMeterDataVo;

import java.util.List;

public interface KwMeterDataMapper extends CommonMapper<KwMeterData, Long> {

    List<KwMeterData> findList(KwMeterData param);

    List<KwMeterData> findLastRecordList(KwMeterData param);

    List<KwMeterDataVo> findVoList(KwMeterDataDto param);

    KwMeterDataVo getPower(KwMeterDataDto param);
}
